close all;
clear all;

Fc = 8000;
Nsamp = 512;
f = -Fc/2:Fc/Nsamp:Fc/2-Fc/Nsamp;

##These two vectors include the time of flight and amplitude of the arrivals of the first RIR
t1 = [8 15]; #times of flight in samples
alpha1=[1 0.6];
if ( length(alpha1) ~= length(t1))
    'number of amplitude and delays must be the same'
    t1
    alpha1
    break
end

##These two vectors include the time of flight and amplitude of the arrivals of the second RIR
t2 = [10 20 38]; #time ofs flight in samples
alpha2=[1 0.7 0.3];
if ( length(alpha2) ~= length(t2))
    'number of amplitude and delays must be the same'
    t2
    alpha2
    break
end

##Building RIRs in time and frequency domain
h1=zeros(1,Nsamp);
h2=zeros(1,Nsamp);
H1=zeros(1,Nsamp);
H2=zeros(1,Nsamp);
for i =1:length(t1)
    h1(t1(i))=alpha1(i);
    H1 = H1+alpha1(i)*exp(-1i*2*pi*f*t1(i)/Fc);
end
for i =1:length(t2)
    h2(t2(i))=alpha2(i);
    H2 = H2+alpha2(i)*exp(-1i*2*pi*f*t2(i)/Fc);
end

##Computing the phase of the cross-spectrum
CC = H1.*conj(H2);
phaseCC = (angle(CC));

##Plots
hh=figure(1)
subplot(2,1,1)
stem(h1)
title('h1')
xlabel ('samples')
axis([0 128 0 1.1])
subplot(2,1,2)
stem(h2)
title('h2')
xlabel ('samples')
axis([0 128 0 1.1])
hh=figure(2)
plot(f,unwrap(phaseCC))
xlabel('freq (Hz)')
ylabel('Phase (rad)')

